Sintaxis de Python3 en PyCharm

Me gustaría usar la syntax de python3 en PyCharm 2016.2 y he configurado el intérprete para que use python3.5. El código se ejecuta bien cuando lo ejecuto, pero PyCharm se queja de la syntax de python3 que no es compatible con python2.

¿Cómo puedo convencer a PyCharm de que la syntax de python3 está bien?

Configuración -> Editor -> Inspecciones -> Python -> Inspección de compatibilidad de código

Deshabilítelo por completo o deseleccione Python 2.X